<template>
  <div>
    <b-modal v-model="show" id="my-modal" v-bind:hide-footer="true" @hidden="onHidden">
      <div class="row mt-3 align-items-center">
        <div class="col-4 text-right ml-0">
          <img v-bind:src="items[0].url" class="img-min p3" />
        </div>
        <div class="col-7 text-green text-left mt-4">
          <b>This email is already registered with iVisa.com</b>
        </div>
      </div>
      <form class="pl-5 pr-5 pt-3 pb-1">
        <div class="row text-center">
          <div class="form-group col-12 text-left info-content">
            <label>Email</label>
            <input type="text" class="form-control" />
          </div>
          <div class="form-group col-12 text-left info-content mt-2">
            <label>Password</label>
            <input type="password" class="form-control" />
          </div>
          <div class="form-group col-12 mt-4">
            <button class="btn curve w-100 h-100 text-light mt-2 mb-1 p3" @click="login()" type="button">Log in</button>
          </div>
          <div class="form-group col-12 mt-4">
            <a href="#" class="info-content text-secondary mt-2 p3">Reset Password</a>
          </div>
        </div>
      </form>
    </b-modal>
  </div>
</template>

<script>
export default {
  name: "BasicModal",
  data() {
    return {
      show: true,
      items: [{ name: "check", url: require("@/assets/lock.svg") }],
      users: [
        {
          id: 1,
          name: "Adam Jones",
          lastname: "Smith",
          email: "test@test.com",
          nationality: "American",
          birthday: "20 June, 1980",
          countryOfBirth: "USA",
          gender: "Male",
          passport: "99999999",
          passportExp: "30 April, 2024",
          passportIssued: "Arizona",
          visaType: "Bussines eVisa -120 days, Multiple Entries"
        },
        {
          id: 2,
          name: "Ad Jones",
          lastname: "Smith",
          email: "test@test2.com",
          nationality: "American",
          birthday: "20 June, 1989",
          countryOfBirth: "Argentina",
          gender: "Male",
          passport: "99999669",
          passportExp: "10 April, 2024",
          passportIssued: "Florida",
          visaType: "Bussines eVisa -90 days, Multiple Entries"
        },

      ]
    };
  },
  methods: {
    login: function() {
      this.$emit('usersData', this.users);
      this.onHidden();
    },
    onHidden(e) {
      this.show = false;
      this.$emit("status", this.show);
    }
  }
};
</script>

<style scoped lang="scss">
p {
  margin-top: 0.25em;
  margin-bottom: 0.25em;
}
</style>